Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.view.web
Class SimpleWebConverter

    java.lang.Object
      org.crosswire.jsword.view.web.SimpleWebConverter

All Implemented Interfaces:
  Converter

    public class SimpleWebConverter

extends Object
implements Converter

Turn XML from a Bible into HTML according to a Display style.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: SimpleWebConverter.java,v 1.4 2004/08/16 22:08:58 joe Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`

Constructor Summary
`SimpleWebConverter()`

Method Summary
`SAXEventProvider` | `convert(SAXEventProvider xmlsep)` Convert one SAX stream into another.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleWebConverter

    public SimpleWebConverter()

Method Detail

### convert

    public SAXEventProvider convert(SAXEventProvider xmlsep)
                             throws TransformerException

  Description copied from interface: `Converter`
  Convert one SAX stream into another.

  Specified by:
    `convert` in interface `Converter`
  Parameters:
    `xmlsep` - The source stream
  Returns:
    The destination stream
  Throws:
    `TransformerException` - If the transformation can't be completed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD